Get LookupTableRevisionArchivedData URL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/archived \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contentType": "<unknown>"
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/archived"
payload = { "contentType": "<unknown>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contentType: '<unknown>'})
};
fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/archived', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"expiry": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Get LookupTableRevisionArchivedData URL
Get a URL which you can use to download the data for the specified archived Lookup Table Revision:
- The
contentTyperequest parameter is required. - The returned URL is presigned - you can copy it into a browser and the data file is downloaded locally.
- The upload URL is time limited - the
expirytime is given in the response and the URL is valid for one hour.
POST
/
organizations
/
{orgId}
/
lookuptables
/
{lookupTableId}
/
revisions
/
{lookupTableRevisionId}
/
data
/
archived
Get LookupTableRevisionArchivedData URL
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
UUID of the LookupTable
UUID of the LookupTableRevision
Body
application/json
Request containing the file details when requesting an archived data URL